Loading...
Searching...
No Matches
Magick::DrawableEllipse Class Reference
Inheritance diagram for Magick::DrawableEllipse:

## Public Member Functions

| DrawableEllipse (double originX_, double originY_, double radiusX_, double radiusY_, double arcStart_, double arcEnd_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | originX (double originX_)
double | originX (void) const
void | originY (double originY_)
double | originY (void) const
void | radiusX (double radiusX_)
double | radiusX (void) const
void | radiusY (double radiusY_)
double | radiusY (void) const
void | arcStart (double arcStart_)
double | arcStart (void) const
void | arcEnd (double arcEnd_)
double | arcEnd (void) const

## Private Attributes

double | _originX
double | _originY
double | _radiusX
double | _radiusY
double | _arcStart
double | _arcEnd

## Detailed Description

Definition at line 850 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableEllipse()

Magick::DrawableEllipse::DrawableEllipse | ( | double | originX_,
|  | double | originY_,
|  | double | radiusX_,
|  | double | radiusY_,
|  | double | arcStart_,
|  | double | arcEnd_ )

inline

Definition at line 853 of file Drawable.h.

: _originX(originX_),
_originY(originY_),
_radiusX(radiusX_),
_radiusY(radiusY_),
_arcStart(arcStart_),
_arcEnd(arcEnd_)
{ }

## ~DrawableEllipse()

Magick::DrawableEllipse::~DrawableEllipse | ( | void |  | ) |

Definition at line 669 of file Drawable.cpp.

{
}

## Member Function Documentation

## arcEnd() [1/2]

void Magick::DrawableEllipse::arcEnd | ( | double | arcEnd_ | ) |

inline

Definition at line 917 of file Drawable.h.

{
_arcEnd = arcEnd_;
}

## arcEnd() [2/2]

double Magick::DrawableEllipse::arcEnd | ( | void |  | ) | const

inline

Definition at line 921 of file Drawable.h.

{
return _arcEnd;
}

## arcStart() [1/2]

void Magick::DrawableEllipse::arcStart | ( | double | arcStart_ | ) |

inline

Definition at line 908 of file Drawable.h.

{
_arcStart = arcStart_;
}

## arcStart() [2/2]

double Magick::DrawableEllipse::arcStart | ( | void |  | ) | const

inline

Definition at line 912 of file Drawable.h.

{
return _arcStart;
}

## copy()

Magick::DrawableBase * Magick::DrawableEllipse::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 678 of file Drawable.cpp.

{
return new DrawableEllipse(*this);
}

## operator()()

void Magick::DrawableEllipse::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 672 of file Drawable.cpp.

{
DrawEllipse( context_, _originX, _originY, _radiusX, _radiusY,
_arcStart, _arcEnd );
}

## originX() [1/2]

void Magick::DrawableEllipse::originX | ( | double | originX_ | ) |

inline

Definition at line 872 of file Drawable.h.

{
_originX = originX_;
}

## originX() [2/2]

double Magick::DrawableEllipse::originX | ( | void |  | ) | const

inline

Definition at line 876 of file Drawable.h.

{
return _originX;
}

## originY() [1/2]

void Magick::DrawableEllipse::originY | ( | double | originY_ | ) |

inline

Definition at line 881 of file Drawable.h.

{
_originY = originY_;
}

## originY() [2/2]

double Magick::DrawableEllipse::originY | ( | void |  | ) | const

inline

Definition at line 885 of file Drawable.h.

{
return _originY;
}

## radiusX() [1/2]

void Magick::DrawableEllipse::radiusX | ( | double | radiusX_ | ) |

inline

Definition at line 890 of file Drawable.h.

{
_radiusX = radiusX_;
}

## radiusX() [2/2]

double Magick::DrawableEllipse::radiusX | ( | void |  | ) | const

inline

Definition at line 894 of file Drawable.h.

{
return _radiusX;
}

## radiusY() [1/2]

void Magick::DrawableEllipse::radiusY | ( | double | radiusY_ | ) |

inline

Definition at line 899 of file Drawable.h.

{
_radiusY = radiusY_;
}

## radiusY() [2/2]

double Magick::DrawableEllipse::radiusY | ( | void |  | ) | const

inline

Definition at line 903 of file Drawable.h.

{
return _radiusY;
}

## Field Documentation

## _arcEnd

double Magick::DrawableEllipse::_arcEnd

private

Definition at line 932 of file Drawable.h.

## _arcStart

double Magick::DrawableEllipse::_arcStart

private

Definition at line 931 of file Drawable.h.

## _originX

double Magick::DrawableEllipse::_originX

private

Definition at line 927 of file Drawable.h.

## _originY

double Magick::DrawableEllipse::_originY

private

Definition at line 928 of file Drawable.h.

## _radiusX

double Magick::DrawableEllipse::_radiusX

private

Definition at line 929 of file Drawable.h.

## _radiusY

double Magick::DrawableEllipse::_radiusY

private

Definition at line 930 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp